Bug 109167 - i865 video on Dell system has limited video memory due to broken BIOS
i865 video on Dell system has limited video memory due to broken BIOS
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-05 06:36 EST by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 10:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86.1.log file from when X didn't start after boot (38.10 KB, text/plain)
2003-11-06 10:06 EST, Jens Petersen
no flags Details

  None (edit)
Description Jens Petersen 2003-11-05 06:36:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
After installing FC1 on a Dell Dimension with i865 chipset
and 128MB of RAM, X does not start up after booting.
It seems the problem is that there is not enough videoram
made available to run 1024x768x24.


Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2115.nptl, XFree86-4.3.0-42,
redhat-config-xfree86-0.9.15-1

How reproducible:
Always

Steps to Reproduce:
Install FC1 on i865 box.

Actual Results:  gdm keeps restarting until emergency dialog appears.

Expected Results:  X should starts up normally.

Additional info:

After going through redhat-config-xfree86, and setting 1024x768x8
it runs ok, but surely it can do better than that - anyway it should
display something.
Comment 1 Jens Petersen 2003-11-06 10:06:33 EST
Created attachment 95760 [details]
XFree86.1.log file from when X didn't start after boot
Comment 2 Gene Willacker 2003-11-19 10:17:50 EST
I get the same behavior with RH Linux 9. I can get full color only in
640x480 resolution, but most of the configuration applets are taller
than that, so I can't see the OK or Cancel buttons. I can get 1024x768
only if I select 256 colors.
Comment 3 Mike A. Harris 2003-12-16 13:10:51 EST
Gene)  Is your system a Dell also?  Can you attach your X server
log, config file, and output of "lspci -vvv" please, as individual
uncompressed file attachments?
Comment 4 Mike A. Harris 2003-12-16 13:12:38 EST
Here is a thread on similar issues:

http://www.linuxquestions.org/questions/history/118623
Comment 5 Mike A. Harris 2003-12-16 13:25:10 EST
Here is a slightly edited email response kindly provided by
Alan Hourihane about this issue, and a possible solution:



From: Alan Hourihane <alanh@tungstengraphics.com>
To: Mike A. Harris <mharris@redhat.com>

> The latest reports are Intel i865 on a dell gx270 box, but there
> have been many Dell related i8xx bug reports with stolen memory
> being limited to 832Kb or similar since 4.3.0 shipped.

There is a fix in CVS head that re-programs the VideoRAM. Look for
TweakMemorySize() as the function. It's confirmed as working on
855GM and 865G, although I haven't personally tested it.

Dell should really issue a newer BIOS though for increased stolen
sizes.  But the above should work.

Alan.
Comment 6 Jens Petersen 2004-01-15 01:13:18 EST
Btw with my Dell Dimension 2400C when I change
the "Onboard Video Buffer" setting from 1MB to 8MB
in the BIOS setup, things seem to be much better fwiw.
Comment 7 Mike A. Harris 2004-01-15 06:13:27 EST
That is the proper way to configure i8xx based systems.  You must
set the video memory amount you want in the BIOS CMOS setup screen
(or equivalent).  XFree86 only has driver workarounds for i830m
chips in 4.3.0.  4.4.0 presumeably has also, but the workaround
isn't isolated yet, but I probably will do it at some point, as
our 4.3.0 needs to be supported forever (more or less) in RHEL 3.
Comment 8 Mike A. Harris 2004-02-02 19:26:03 EST
Defering for future investigation of 4.4.0 workarounds, depending
on wether the license of 4.4.0 ends up permitting this or not.
Comment 9 Mike A. Harris 2005-04-20 10:16:08 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.